import { Provider, ProviderSearchOptions, ProviderMeta, ProviderTorrent } from '.';
export interface TorrentParadiseItem {
    id: string;
    l: number;
    len: number;
    s: number;
    text: string;
}
export declare class TorrentParadiseProvider extends Provider {
    static providerName: "TorrentParadise.ml";
    protected domain: string;
    getMeta(): Promise<ProviderMeta>;
    search(query: string, options?: ProviderSearchOptions): Promise<ProviderTorrent[]>;
    getMagnet(): Promise<string>;
}
